Skip to main content
`Ctrl`+`K`

# PCRichardsonConvergedReason

reason a `PCApplyRichardson()` method terminated

## Synopsis

    typedef enum {
      PCRICHARDSON_NOT_SET        = 0,
      PCRICHARDSON_CONVERGED_RTOL = 2,
      PCRICHARDSON_CONVERGED_ATOL = 3,
      PCRICHARDSON_CONVERGED_ITS  = 4,
      PCRICHARDSON_DIVERGED_DTOL  = -4
    } PCRichardsonConvergedReason;

## See Also

Preconditioners, `KSPRICHARDSON`, `PC`, `PCApplyRichardson()`

## Level

advanced

## Location

include/petscpctypes.h

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages